Subject: RE: Mirosoft Interix contains Cygwin
From: Peter Ring <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "'Christian Branson'" <[email-masked]>
Date: Wed, 12 Apr 2000 09:47:22 +0200

Try this URL: ftp://208.20.99.249/

GNU source code at ftp://208.20.99.249/newpub/tw/unsup/gnu/

Binaries and sources for various ports at
ftp://208.20.99.249/newpub/tw/unsup/new/

I bought the Microsoft Interix 2.2.5 distribution ($99, seems that
Cygnus has set the price level!) partly out of curiousity, and partly to
get an inetd (telnetd etc.) integrated with Windows NT's user
administration.

There is apparently not yet a ftp or http server at ftp.interix.com;
they are slooowly getting things running after the Microsoft aquisition.
It will take quite a while (forever?), before Interix reach the level of
community support that cygwin has, but there is actually some support if
you mail to [email-masked].

Kind regards,
Peter Ring
Forlaget MAGNUS A/S
A Wolters Kluwer Company

-----Original Message-----
From: Suhaib M. Siddiqi [mailto:[email-masked]]
Sent: Tuesday, April 11, 2000 10:43 PM
To: Mumit Khan
Cc: DJ Delorie; [email-masked]
Subject: Re: Mirosoft Interix contains Cygwin

Yes there is some old old code at
ftp.interix.com/newinterix.main_tools.html

but absolutely nothing at the URL M$ quotes in GPL document to retrieve
code
for the GPL'ed binaries

Mumit Khan wrote:

> DJ Delorie <[email-masked]> writes:
>
> > Cool!  Now even Microsoft is seeing the benefits of open source software.
>
> Actually, Microsoft always has, just likes to hide the fact in case
> it's forced to practice the same! If you look at its own now-obsolete
> POSIX kit, it included quite a bit of GNU code, including a port of
> gcc. That whole POSIX subsystem and kit is now obsoleted by Interix's
> product.
>
> As for Interix, here's a bit of history: Softway/Interix a few years
> ago started out with Cygwin b17 as the base and built a version of gcc
> and binutils for their POSIX subsystem. GCC didn't need too much
> modification, at least at the basic level, but binutils is a whole
> different story.
>
> Even though Interix now uses newer gcc, their stable codebase still
> uses some old code, and that's why you see the cygnus-2.7.2-970404.
>
> I assume the "assimilation" of Interix by MS will have caused some
> temporary glitches, but Interix has always maintained full sources
> on their ftp site; a bit buried, but the pointer is on their CD and
> in docs.
>
> For the record, I have no affiliation with Interix other than some
> productive collaborative efforts with Donn Terry in porting egcs
> to Interix.
>
> > Plus, the i386-pc-opennt directory means that they *had* to rebuild
> > gcc from source, targetting their system.  This means that there are
> > now five wintel gccs - emx, djgpp, cygwin, mingw, and now interix.
>
> Make that *six*; a brand new one -- ix86-pc-win32-gnu -- which uses
> GNU C Library as the runtime. I'm still cleaning out bits and pieces
> at this point, mostly in the runtime.
>
> Sorry about getting rather off-topic here ...
>
> Regards,
> Mumit

--
Want to unsubscribe from this list?
Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]